extend layout/layout.pug

block content
    section.section
    .container
        .content

            .notification.is-success.is-hidden
                button.delete
                span This message should not be displayed.

            h2.title.is-2#about Submit

            .notification.is-warning
                p Please fill in the most information you can, then submit.
                    |  It will automatically open a new issue on GitLab.
                p More involved persons can also use this form for preview only
                    |  and manually submit entries into a Merge Request (MR).
                p Using this form is not recommended (
                    a(href='https://inventory.raw.pm/docs/docs/en/add.html#alternative-submit-form') see why
                    | ), prefer another mean of contribution. Contribution Guidelines can be found 
                    a(href='https://inventory.raw.pm/docs/docs/en/add/') here
                    | .

            //- We keep a form and not a div because jQuery serializeArray() works only for forms
            form.box.has-text-weight-semibold.is-size-5.has-background-light#submit_form
                //- type
                .field.is-horizontal#type
                    .field-label.is-normal Type
                    .field-body
                        .field
                            .control
                                .select.is-primary
                                    select(name='type')
                                        option(value='') - Select -
                                        option(value='tool') Tool
                                        option(value='resource') Resource
                                        option(value='ctf_platform') CTF platform
                                        option(value='operating_system') Operating System
                //- categories
                .field.is-horizontal
                    .field-label.is-normal Category
                    .field-body
                        .field.is-hidden#category_tool
                            .control
                                .select.is-primary
                                    select(name='category')
                                        option(value='') - Select -
                                        each category in mapping.Tools
                                            - name_underscore = category.toLowerCase().replace(/\s/g, '_').replace(/,/g, '')
                                            option(value=name_underscore)= category
                                        
                        .field.is-hidden#category_resource
                            .control
                                .select.is-primary
                                    select(name='category')
                                        option(value='') - Select -
                                        each category in mapping.Resources
                                            - name_underscore = category.toLowerCase().replace(/\s/g, '_').replace(/,/g, '')
                                            option(value=name_underscore)= category
                        .field.is-hidden#category_ctf_platform
                            .control
                                .select.is-primary
                                    select(name='category')
                                        option(value='') - Select -
                                        each category in mapping['CTF platforms']
                                            - name_underscore = category.toLowerCase().replace(/\s/g, '_').replace(/,/g, '')
                                            option(value=name_underscore)= category
                        .field.is-hidden#category_operating_system
                            .control
                                .select.is-primary
                                    select(name='category')
                                        option(value='') - Select -
                                        each category in mapping['Operating Systems']
                                            - name_underscore = category.toLowerCase().replace(/\s/g, '_').replace(/,/g, '')
                                            option(value=name_underscore)= category
                //- elements/entries
                .field.is-horizontal
                    .field-label.is-normal New entry
                    .field-body
                        .field.is-hidden#entry_name
                            label.label Name
                            .control
                                input.input.is-primary(type='text' name='name' placeholder='Name')
                        .field.is-hidden#entry_os
                            label.label OS
                            .control
                                input.input.is-primary(type='text' name='os' placeholder='OS')
                        .field.is-hidden#entry_for
                            label.label For
                            .control
                                input.input.is-primary(type='text' name='tool' placeholder='For')
                        .field.is-hidden#entry_based_on
                            label.label Based on
                            .control
                                input.input.is-primary(type='text' name='base' placeholder='Based on')
                        .field.is-hidden#entry_language
                            label.label Language
                            .control
                                input.input.is-primary(type='text' name='language' placeholder='Language')
                        .field.is-hidden#entry_country
                            label.label Country
                            .control
                                input.input.is-primary(type='text' name='country' placeholder='Country')
                        .field.is-hidden#entry_website
                            label.label Website
                            .control
                                input.input.is-primary(type='text' name='website' placeholder='Website')
                        .field.is-hidden#entry_source
                            label.label Source
                            .control
                                input.input.is-primary(type='text' name='source' placeholder='Source')
                        .field.is-hidden#entry_description
                            label.label Description
                            .control
                                textarea.textarea.is-primary(name='description' placeholder='Description')
                        .field.is-hidden#entry_programming_language
                            label.label Programming language
                            .control
                                input.input.is-primary(type='text' name='programming_language' placeholder='Programming language')
                        .field.is-hidden#entry_price
                            label.label Price
                            .control
                                .select.is-primary
                                    select(name='price')
                                        option(value='') - Select -
                                        option(value='free') Free
                                        option(value='paid') Paid
                        .field.is-hidden#entry_from
                            label.label From
                            .control
                                input.input.is-primary(type='text' name='from' placeholder='From')
                        .field.is-hidden#entry_to
                            label.label To
                            .control
                                input.input.is-primary(type='text' name='to' placeholder='To')
                .field.is-grouped.is-grouped-centered
                    .control
                        button.button.is-dark(type='button') Preview
                    .control
                        button.button.is-danger.is-outlined(type='reset') Reset
                    .control
                        button.button.is-primary(type='submit') Submit
            .box
                pre
                    code.is-hidden.is-family-code

block hero-foot
    .hero-foot
        nav.tabs.is-boxed.is-fullwidth
            .container

block optional-script-bottom
    //- Make the form conditionally expose fields
    script(src='js/conditional-form.js')
